Waninkoko's "Firmware Updater 4.0"

Discussion in 'Wii - Hacking' started by TiMeBoMb4u2, Mar 27, 2009.

Mar 27, 2009
  1. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    I have a question about Waninkoko's "Firmware Updater 4.0".

    Will this installer automatically make sure you have the correct cIOS249 revision installed?


    [​IMG]
     


  2. koji2009

    Member koji2009 GBAtemp Maniac

    Joined:
    Mar 13, 2009
    Messages:
    1,193
    Country:
    United States
    No, it only patches 60/61 to have the trucha bug in it. Or at least it's supposed to, I've heard many people saying they still needed to patch 60/61 afterwards.

    Just run 249 installer from waninko's website before installing 4.0 and you'll be fine on that front.
     
  3. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    So... If I run it, and it doesn't correctly patch 60 & 61, what will happen?

    Also... (newbie question) To install it, can I simply create a new folder in "/apps", and rename the "Firmware-Updater_4.0.dol" file to "boot.dol"?



    Thanks!
     
  4. sunnytimes

    Member sunnytimes GBAtemp Regular

    Joined:
    Jun 21, 2007
    Messages:
    108
    Country:
    Canada
    i just used the official update from the settings and than ran the IOS61_60 shop patcher to patch IOS60 and it all works great .. wani's updater crapped out on me about half way through so i went the other way ..
     
  5. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    Okay... I answered my own question, about the renaming.

    I simply created a new folder under "/apps", copied the "Firmware-Updater_4.0.dol" file into this new directory, and renamed it "boot.dol". Then, I ran it from The Homebrew Channel. I did the same thing, for the cIOS36 rev.8 (IOS249) installer. I ran it BEFORE running the "Firmware Updater 4.0".

    BTW:: Waninkoko's "Firmware Updater 4.0" worked PERFECTLY for me!! It took about 20-30 minutes to complete the installs, but it was AWESOME! Thanks, Waninkoko!!
     
  6. crwys

    Member crwys GBAtemp Maniac

    Joined:
    Jun 26, 2008
    Messages:
    1,146
    Country:
    United States
    Yep worked great for me too.
     
  7. syst3merror

    Member syst3merror GBAtemp Regular

    Joined:
    Nov 10, 2008
    Messages:
    248
    Location:
    Indiana
    Country:
    United States
    so using this Updates your system menu to 4.0 but doesn't remove the ability to use all the homebrew stuff like the REAL update from N?
     
  8. SpaceJump

    Member SpaceJump Where's my new 2D-Metroid?

    Joined:
    Aug 18, 2005
    Messages:
    3,648
    Location:
    Zebes
    Country:
    Germany
    Can you give me the Link to waninkoko's website?
     
  9. searos

    Newcomer searos Newbie

    Joined:
    Mar 15, 2009
    Messages:
    5
    Country:
    Australia
  10. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    The link is in my first post!

    [​IMG]
     
  11. searos

    Newcomer searos Newbie

    Joined:
    Mar 15, 2009
    Messages:
    5
    Country:
    Australia
    I am currently on 3.2E firmware using SoftMii v2.1.1. Is it safe for me to use this program and will I still be able to run my backups from the disc channel?
     
  12. SpaceJump

    Member SpaceJump Where's my new 2D-Metroid?

    Joined:
    Aug 18, 2005
    Messages:
    3,648
    Location:
    Zebes
    Country:
    Germany
    Sorry, you are right *runs*

    I keep reading about Custom IOS36 rev 08 and IOS249. Are these the same?
     
  13. Kikoshi

    Member Kikoshi GBAtemp Regular

    Joined:
    Dec 21, 2006
    Messages:
    154
    Location:
    Cuba
    Country:
    What he said [​IMG], Just want to know if its safe to do so.
    Or just wait for another update or something.
     
  14. Kikoshi

    Member Kikoshi GBAtemp Regular

    Joined:
    Dec 21, 2006
    Messages:
    154
    Location:
    Cuba
    Country:
    Is it ok to ask, what Has changed like, have you lost the avility to play backup's and what happens to the Installed Game wads?
    Oh and the only thing you need to be safe of everything and installed in the wii before updating is the cIOS36 rev8?
    Thanks man! Hope you get to answer me
    Btw- It seems that if there is a new HomebrewChannel, we can't Update it due to the Twilight hack not been accessible any longer?
     
  15. searos

    Newcomer searos Newbie

    Joined:
    Mar 15, 2009
    Messages:
    5
    Country:
    Australia
    Okay I installed 4.0 using Wakinkoko's updater after installing cIOS rev8, I can still run all homebrew apps in the Homebrew Channel but games do not run from the disc channel and preloader is no longer installed so you can't bypass the game disc updates, you can still run backups from the Backup Loader channel though.
     
  16. Kikoshi

    Member Kikoshi GBAtemp Regular

    Joined:
    Dec 21, 2006
    Messages:
    154
    Location:
    Cuba
    Country:
    What do you mean, games cannot be run throught the DiskChannel?
     
  17. bowser

    Member bowser Mwa ha ha ha!

    Joined:
    Sep 1, 2008
    Messages:
    2,177
    Location:
    GBAtemp ↑↑↓↓← → ← →BA
    Country:
    India
    He means backups cannot be run through the disk channel.
     
  18. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    Yes; cIOS36 = IOS249

    [​IMG]
     
  19. TiMeBoMb4u2
    OP

    Member TiMeBoMb4u2 GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,169
    Country:
    United States
    As far as I can tell, there is not a "new" Homebrew Channel, yet. If there was, and if you currently have The Homebrew Channel installed, HBC has a built-in updater now, so you can update without the Twilight Hack.


    [​IMG]
     
  20. Gabo

    Newcomer Gabo Member

    Joined:
    Feb 28, 2009
    Messages:
    21
    Country:
    Canada
    I heard there were issues with emulators when you update to 4.0 officially.. can anyone confirm they work with this updater?

    Wad Installer? (also after installing wads, can they be run from SDHC?)
     

Share This Page